#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{
    int n, a, pom;
    scanf("%d %d", &n, &a);

    if(n < 3 * 10)
        printf("-1");
    else
    {
        n-=a;
        pom = n % 4;
        n /= 4;
        printf("%d %d\n", pom, a);
        for(int i=0; i<2; i++)
            printf("%d %d\n", n-1, n+1);
    }

    return 0;
}